/* .github-block{
    display:flex;flex-direction:row;justify-content:flex-start;align-items:flex-start}
.github-href{padding-right:30px;background-position:center right;background-size:contain;background-repeat:no-repeat;padding-top:2px;padding-bottom:2px;color:#2a2a2a;margin-right:10px}
.mode__block{display:flex;flex-direction:row;justify-content:flex-end;align-items:stretch;border-bottom:solid 3px #dddddd;padding-bottom:3px}.mode__title{padding:5px 10px} */
@font-face {
  font-family: 'Dancing Script';
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/dancing-script-v19-latin-regular.eot");
  /* IE9 Compat Modes */
  src: local(""), url("../fonts/dancing-script-v19-latin-regular.eot?#iefix") format("embedded-opentype"), url("../fonts/dancing-script-v19-latin-regular.woff2") format("woff2"), url("../fonts/dancing-script-v19-latin-regular.woff") format("woff"), url("../fonts/dancing-script-v19-latin-regular.ttf") format("truetype"), url("../fonts/dancing-script-v19-latin-regular.svg#DancingScript") format("svg");
  /* Legacy iOS */
}

/* open-sans-regular - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/open-sans-v27-latin-regular.eot");
  /* IE9 Compat Modes */
  src: local(""), url("../fonts/open-sans-v27-latin-regular.eot?#iefix") format("embedded-opentype"), url("../fonts/open-sans-v27-latin-regular.woff2") format("woff2"), url("../fonts/open-sans-v27-latin-regular.woff") format("woff"), url("../fonts/open-sans-v27-latin-regular.ttf") format("truetype"), url("../fonts/open-sans-v27-latin-regular.svg#OpenSans") format("svg");
  /* Legacy iOS */
}

/* open-sans-700 - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 700;
  src: url("../fonts/open-sans-v27-latin-700.eot");
  /* IE9 Compat Modes */
  src: local(""), url("../fonts/open-sans-v27-latin-700.eot?#iefix") format("embedded-opentype"), url("../fonts/open-sans-v27-latin-700.woff2") format("woff2"), url("../fonts/open-sans-v27-latin-700.woff") format("woff"), url("../fonts/open-sans-v27-latin-700.ttf") format("truetype"), url("../fonts/open-sans-v27-latin-700.svg#OpenSans") format("svg");
  /* Legacy iOS */
}

/* open-sans-italic - latin */
@font-face {
  font-family: 'Open Sans';
  font-style: italic;
  font-weight: 400;
  src: url("../fonts/open-sans-v27-latin-italic.eot");
  /* IE9 Compat Modes */
  src: local(""), url("../fonts/open-sans-v27-latin-italic.eot?#iefix") format("embedded-opentype"), url("../fonts/open-sans-v27-latin-italic.woff2") format("woff2"), url("../fonts/open-sans-v27-latin-italic.woff") format("woff"), url("../fonts/open-sans-v27-latin-italic.ttf") format("truetype"), url("../fonts/open-sans-v27-latin-italic.svg#OpenSans") format("svg");
  /* Legacy iOS */
}

@media only screen and (max-width: 1023px) {
  .mode__block {
    display: none;
  }
}

.my-page {
  background-color: #fff;
}

body {
  overflow: hidden;
}

#book {
  margin: 0px auto;
}

.intro {
  background: #214158;
  background: #5a7ea9;
  background: linear-gradient(90deg, #5a7ea9 0%, #8aa3c2 24%, #5a7ea9 100%);
  padding: 20px;
  margin: -40px;
  position: relative;
}

.intro h2, .intro p {
  font-family: 'Dancing Script', cursive;
  font-size: 3rem;
  color: #fff;
  text-align: right;
  padding: 0px;
  margin: 0px;
  box-sizing: border-box;
}

.intro p {
  font-size: 1.2rem;
  font-family: 'Open Sans', sans-serif;
}

html {
  font-size: 16px;
  font-family: 'Open Sans', sans-serif;
}

.my-page {
  font-size: 0.8rem;
  color: #333;
}

.my-page.--right .spruch {
  text-align: right;
}

.my-page.--left .spruch {
  text-align: left;
}

.my-page .spruch {
  font-size: 0.6rem;
  font-style: italic;
}

.my-page h1 {
  color: #214158;
  font-size: 1.1rem;
}

.my-page a {
  color: #555;
  text-decoration: none;
}

.my-page a:hover {
  color: #000;
}

.my-page .footer {
  position: absolute;
  bottom: 10px;
  text-align: center;
  font-size: .6rem;
  font-style: italic;
  left: 50%;
}

.mode {
  display: inline-block;
  padding: 4px 4px;
  height: 40px;
  box-sizing: border-box;
  overflow: hidden;
}

.pBlock {
  background: none;
}

#naviHolder {
  display: flex;
  flex-direction: row;
  margin: 0 auto;
  justify-content: center;
  padding: 10px;
}

#naviHolder .but {
  border: 1px solid #ccc;
  background-color: white;
  padding: 10px 20px;
  cursor: pointer;
}

#naviHolder .but.disable {
  opacity: .2;
}

#naviHolder .prev_t {
  background-image: url("../images/navigate_before.svg");
  background-repeat: no-repeat;
  background-position: left center;
  padding-left: 30px;
}

#naviHolder .next_t {
  background-image: url("../images/navigate_next.svg");
  background-repeat: no-repeat;
  background-position: right center;
  padding-right: 30px;
}

#naviHolder .index_t {
  background-image: url("../images/view_list_black_24dp.svg");
  background-repeat: no-repeat;
  background-position: 5px center;
  padding-left: 30px;
  padding-right: 30px;
}

.pBlock--mobile {
  width: 390px;
  height: 620px;
  margin: 0 auto;
  overflow: hidden;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.6);
  background-color: #dddddd;
  border-radius: 4px;
  background-size: cover;
}

.pBlock--tablet {
  width: 620px;
  height: 900px;
  margin: 0 auto;
  overflow: hidden;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.6);
  background-color: #dddddd;
  border-radius: 4px;
  background-size: cover;
}

.pBlock--tablet-l {
  width: 900px;
  height: 600px;
  margin: 0 auto;
  overflow: hidden;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.6);
  background-color: #dddddd;
  border-radius: 4px;
  background-size: cover;
}

.mode--selected {
  border-top: solid 2px #2a2a2a;
}

pre {
  margin-bottom: 0 !important;
}

pre code.hljs {
  display: block;
}

code.hljs {
  display: inline;
}

span.new {
  font-size: 90%;
}

.github-logo {
  width: 40px;
  display: block;
  position: relative;
}

.github-logo img {
  max-width: 100%;
  opacity: 0.9;
}

.github-logo img:hover {
  opacity: 1;
}

.source {
  width: 100%;
  height: 90vh;
  left: 0;
  top: 0;
  position: relative;
  display: none;
}

.source .source-block {
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  z-index: 301;
  overflow: scroll;
}

.source .source-block pre {
  display: block;
  position: relative;
}

.source .source-block pre code {
  font-size: 90%;
}

.demo-block {
  border-top: solid 1px #dcdcdc;
  border-bottom: solid 1px #dcdcdc;
}

.flip-book {
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.5);
  margin: 0 auto;
  display: none;
  z-index: 100;
}

.html-book {
  background-size: cover;
}

.my-page {
  padding: 20px 40px;
  background-color: #fdfaf7;
  color: #333;
  border: solid 1px #c2b5a3;
  overflow: hidden;
  box-sizing: border-box;
}

.my-page .my-page-content {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: stretch;
}

.my-page .my-page-content .my-page-header {
  height: 30px;
  font-size: 100%;
  text-transform: uppercase;
  text-align: center;
}

.my-page .my-page-content .my-page-image {
  height: 100%;
  background-size: contain;
  background-position: center center;
  background-repeat: no-repeat;
}

.my-page .my-page-content .my-page-text {
  height: 100%;
  flex-grow: 1;
  font-size: 80%;
  text-align: justify;
  margin-top: 10px;
  padding-top: 10px;
  box-sizing: border-box;
  border-top: solid 1px #f4e8d7;
}

.my-page .my-page-content .my-page-footer {
  height: 30px;
  border-top: solid 1px #f4e8d7;
  font-size: 80%;
  color: #998466;
}

.my-page.--left {
  border-right: 0;
  box-shadow: inset -7px 0 30px -7px rgba(0, 0, 0, 0.1);
}

.my-page.--right {
  border-left: 0;
  box-shadow: inset 7px 0 30px -7px rgba(0, 0, 0, 0.1);
}

.my-page.--right .my-page-footer {
  text-align: right;
}

.my-page.hard {
  background-color: #f2e8d9;
  border: solid 1px #998466;
}

.my-page.my-page-cover {
  background-color: #e3d0b5;
  color: #785e3a;
  border: solid 1px #998466;
}

.my-page.my-page-cover h2 {
  text-align: center;
  padding-top: 50%;
  font-size: 210%;
}

.my-page.my-page-cover.my-page-cover-top {
  box-shadow: inset 0px 0 30px 0px rgba(36, 10, 3, 0.2), -2px 0 5px 2px rgba(0, 0, 0, 0.1);
}

.my-page.my-page-cover.my-page-cover-bottom {
  box-shadow: inset 0px 0 30px 0px rgba(36, 10, 3, 0.2), 10px 0 8px 0px rgba(0, 0, 0, 0.1);
}

.stf__hardInnerShadow {
  /* background: linear-gradient(to right,rgba(0,0,0,.1) 5%,rgba(0,0,0,.0) 100% ) !important; */
  opacity: 0.1 !important;
}

.stf__hardShadow {
  /* background: linear-gradient(to left,rgba(0,0,0,.0) 5%,rgba(0,0,0,.081) 100% ) !important; */
  opacity: 0.2 !important;
}

.stf__outerShadow {
  /* background: linear-gradient(to right,rgba(0,0,0,.0) 5%,rgba(0,0,0,.081) 100% ) !important; */
  opacity: 0.5 !important;
}

.stf__innerShadow {
  opacity: 0.5 !important;
}

#logoStart {
  width: 100%;
  text-align: right;
  margin-bottom: 75%;
}

#logoStart img {
  max-width: 40%;
}

.spruch {
  font-size: 0.9rem;
}

body {
  overflow-x: hidden;
  /* Hide horizontal scrollbar */
  overflow-y: scroll;
  /* Add vertical scrollbar */
}

@media only screen and (max-width: 612px) {
  body {
    overflow-x: hidden;
    /* Hide horizontal scrollbar */
    overflow-y: scroll;
    /* Add vertical scrollbar */
    font-size: 10px;
  }
  .intro h2 {
    font-size: 2rem;
  }
  .intro p {
    font-size: 1.2rem;
  }
  .my-page {
    font-size: .6rem;
  }
}

@media only screen and (max-width: 1200px) {
  #naviHolder {
    width: 100%;
    text-align: center;
    position: absolute;
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
    justify-content: space-between;
  }
  #naviHolder .index_t {
    background-position: center;
  }
}
